mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Principal.IPrincipal System.Runtime.InteropServices.ComVisible(true)

This class represents the roles of the current user.

Represents a generic principal.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  The roles array can be null if the identity isn't part of any role.

  Initializes a new instance of the class from a user identity and an array of role names to which the user represented by that identity belongs.

  A basic implementation of that represents any user.
  An array of role names to which the user represented by the parameter belongs.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.IIdentity The current identity of the principal. To be added

  Gets the of the user represented by the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` Roles are case sensitive.

  Determines whether the current belongs to the specified role.

  true if the current is a member of the specified role; otherwise, false.

  The name of the role for which to check membership.